Error
A valid request URL is required to generate request examples{
"id": 123,
"status": "DRAFT",
"created_at": "<string>",
"type": "shipment",
"carrier": "<string>",
"tracking_number": "<string>",
"origin_address": {
"address1": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"country": "<string>",
"address2": "<string>"
},
"destination_address": {
"address1": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"country": "<string>",
"address2": "<string>"
},
"shipped_at": "<string>",
"delivered_at": "<string>",
"return_group_id": 123,
"return_ids": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoints
Get Shipment
Get Shipment through the Frate API
GET
/
v2
/
shipments
/
{shipment_id}
Error
A valid request URL is required to generate request examples{
"id": 123,
"status": "DRAFT",
"created_at": "<string>",
"type": "shipment",
"carrier": "<string>",
"tracking_number": "<string>",
"origin_address": {
"address1": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"country": "<string>",
"address2": "<string>"
},
"destination_address": {
"address1": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"country": "<string>",
"address2": "<string>"
},
"shipped_at": "<string>",
"delivered_at": "<string>",
"return_group_id": 123,
"return_ids": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Path Parameters
Response
Successful Response
Shipment
Unique identifier for the shipment
Current status of the shipment
Available options:
DRAFT, CREATED, IN_TRANSIT, DELIVERED, FAILED, CANCELED, UNKNOWN ISO 8601 timestamp when the shipment was created
The type identifier for this resource
Allowed value:
"shipment"The shipping carrier (e.g., 'USPS', 'FedEx', 'UPS')
The tracking number for the shipment
The origin address for the shipment
Show child attributes
Show child attributes
The destination address for the shipment
Show child attributes
Show child attributes
ISO 8601 timestamp when the shipment was shipped
ISO 8601 timestamp when the shipment was delivered
The ID of the return group for the shipment
The IDs of the returns for the shipment